org.apache.uima.util

## Interface Logger

- All Known Implementing Classes:
    JSR47Logger_impl, Log4jLogger_impl, Logger_impl

      public interface Logger

  A `Logger` is a component used to log messages. This interface defines the standard way for UIMA components to produce log output.

  In the UIMA SDK, this interface is implemented using the Java 1.4 logger as a back end. If you want to configure the logger, for example to specify the location of the log file and the logging level, you should use the standard Java 1.4 logger properties or the java.util.logging APIs. See the section "Specifying the Logging Configuration" in the Annotator and Analysis Engine Developer's Guide chapter of the UIMA documentation for more information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLoggable(Level level)` Checks if the argument level is greater or equal to the specified level
    `void` | `log(Level level, String aMessage)` Logs a message.
    `void` | `log(Level level, String aMessage, Object param1)` Logs a message with one parameter
    `void` | `log(Level level, String aMessage, Object[] params)` Logs a message with an arbitrary number of parameters
    `void` | `log(Level level, String aMessage, Throwable thrown)` Logs a message and a throwable object
    `void` | `log(String aMessage)` Deprecated. use new function with log level
    `void` | `log(String wrapperFQCN, Level level, String message, Throwable thrown)` Generic logging method intended for logging wrappers.
    `void` | `log(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Deprecated. use new function with log level
    `void` | `logException(Exception aException)` Deprecated. use new function with log level
    `void` | `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msgKey)` Logs a message with a message key.
    `void` | `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msgKey, Object param1)` Logs a message with a message key and one parameter.
    `void` | `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msgKey, Object[] params)` Logs a message with a message key and an arbitrary number of parameters.
    `void` | `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msgKey, Throwable thrown)` Logs a message with a message key and a throwable object.
    `void` | `setLevel(Level level)` Sets the level of messages that will be logged by this logger.
    `void` | `setOutputStream(OutputStream aStream)` Deprecated. use external configuration possibility
    `void` | `setOutputStream(PrintStream aStream)` Deprecated. use external configuration possibility
    `void` | `setResourceManager(ResourceManager resourceManager)` Sets the ResourceManager to use for message localization.

- - ### Method Detail

    - #### log

          @Deprecated
          void log(String aMessage)

      Deprecated. use new function with log level
      Logs a message.
      Parameters:
        `aMessage` - the message to be logged with message level INFO

    - #### log

          @Deprecated
          void log(String aResourceBundleName,
                               String aMessageKey,
                               Object[] aArguments)

      Deprecated. use new function with log level
      Logs an internationalized message.
      Parameters:
        `aResourceBundleName` - base name of resource bundle
        `aMessageKey` - key of message to localize with message level INFO
        `aArguments` - arguments to message (may be null if none)

    - #### logException

          @Deprecated
          void logException(Exception aException)

      Deprecated. use new function with log level
      Logs an exception
      Parameters:
        `aException` - the exception to be logged with message level INFO

    - #### setOutputStream

          @Deprecated
          void setOutputStream(PrintStream aStream)

      Deprecated. use external configuration possibility
      Sets the output stream to which log messages will go. Setting the output stream to `null` will disable the logger.
      Parameters:
        `aStream` - `PrintStream` to which log messages will be printed

    - #### setOutputStream

          @Deprecated
          void setOutputStream(OutputStream aStream)

      Deprecated. use external configuration possibility
      Sets the output stream to which log messages will go. Setting the output stream to `null` will disable the logger.
      Parameters:
        `aStream` - `OutputStream` to which log messages will be printed

    - #### log

          void log(Level level,
                   String aMessage)

      Logs a message.
      Parameters:
        `level` - message level
        `aMessage` - the message to be logged

    - #### log

          void log(Level level,
                   String aMessage,
                   Object param1)

      Logs a message with one parameter
      Parameters:
        `level` - message level
        `aMessage` - the message to be logged
        `param1` - message parameter

    - #### log

          void log(Level level,
                   String aMessage,
                   Object[] params)

      Logs a message with an arbitrary number of parameters
      Parameters:
        `level` - message level
        `aMessage` - the message to be logged
        `params` - message parameter array

    - #### log

          void log(Level level,
                   String aMessage,
                   Throwable thrown)

      Logs a message and a throwable object
      Parameters:
        `level` - message level
        `aMessage` - the message to be logged
        `thrown` - throwable object

    - #### logrb

          void logrb(Level level,
                     String sourceClass,
                     String sourceMethod,
                     String bundleName,
                     String msgKey)

      Logs a message with a message key. The real message is extracted from a resource bundle.
      Parameters:
        `level` - message level
        `sourceClass` - source class name
        `sourceMethod` - source method name
        `bundleName` - resource bundle
        `msgKey` - message key

    - #### logrb

          void logrb(Level level,
                     String sourceClass,
                     String sourceMethod,
                     String bundleName,
                     String msgKey,
                     Object param1)

      Logs a message with a message key and one parameter. The real message is extracted from a resource bundle.
      Parameters:
        `level` - message level
        `sourceClass` - source class name
        `sourceMethod` - source method name
        `bundleName` - resource bundle
        `msgKey` - message key
        `param1` - message parameter

    - #### logrb

          void logrb(Level level,
                     String sourceClass,
                     String sourceMethod,
                     String bundleName,
                     String msgKey,
                     Object[] params)

      Logs a message with a message key and an arbitrary number of parameters. The real message is extracted from a resource bundle.
      Parameters:
        `level` - message level
        `sourceClass` - source class name
        `sourceMethod` - source method name
        `bundleName` - resource bundle
        `msgKey` - message key
        `params` - message parameter array with an arbitrary number of parameters

    - #### logrb

          void logrb(Level level,
                     String sourceClass,
                     String sourceMethod,
                     String bundleName,
                     String msgKey,
                     Throwable thrown)

      Logs a message with a message key and a throwable object. The real message is extracted from a resource bundle.
      Parameters:
        `level` - message level
        `sourceClass` - source class name
        `sourceMethod` - source method name
        `bundleName` - resource bundle
        `msgKey` - message key
        `thrown` - throwable object

    - #### log

          void log(String wrapperFQCN,
                   Level level,
                   String message,
                   Throwable thrown)

      Generic logging method intended for logging wrappers.
      Parameters:
        `wrapperFQCN` - fully qualified class name of the wrapper
        `level` - message level
        `message` - message
        `thrown` - throwable object

    - #### isLoggable

          boolean isLoggable(Level level)

      Checks if the argument level is greater or equal to the specified level
      Parameters:
        `level` - message level
      Returns:
        boolean - true if the argument level is greater or equal to the specified level

    - #### setLevel

          void setLevel(Level level)

      Sets the level of messages that will be logged by this logger. Note that if you call `UIMAFramework.getLogger().setLevel(level)`, this will only change the logging level for messages produced by the UIMA framework. It will NOT change the logging level for messages produced by annotators. To change the logging level for an annotator, use `UIMAFramework.getLogger(YourAnnotatorClass.class).setLevel(level)`.

      If you need more flexibility it configuring the logger, consider using the standard Java logger properties file or the java.util.logging APIs.

      Parameters:
        `level` - message level

    - #### setResourceManager

          void setResourceManager(ResourceManager resourceManager)

      Sets the ResourceManager to use for message localization. This method is intended for use by the framework, not by user code.
      Parameters:
        `resourceManager` - A resource manager instance whose extension ClassLoader (if any) will be used for message localization by this logger.

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.